Supported browsers

While we make our best effort to ensure that Fastmail can be accessed on older versions of browsers wherever possible, we can only provide support for the latest versions.

We highly recommend for your security that, whatever browser you use, you set it to automatically update to the latest version. Using older software, including older browsers, can be a security risk for your computer.

We support the latest versions of:

  • Chrome
  • Firefox
  • Microsoft Edge
  • Opera
  • Safari
  • Brave
  • Vivaldi.

You may still be able to use Fastmail successfully on an unsupported browser if it supports the web technologies we use. However, we cannot guarantee functionality, and we are unable to provide support with issues related to or caused by an unsupported browser.

To use our web interface, you must have:

Cookies are small snippets of information stored on your computer and sent back to our server with each request. Like all sites, we use these as part of our system for signing in securely. Our site does not have any ads: the only cookies set are from us and we do not use cookies for any other purpose other than authentication.

On mobile

We support Safari on iOS and Chrome on Android.

Was this article helpful?
136 out of 216 found this helpful